<template>
  <Layout>
    <Sider>
      <div class="admin-menu-wrapper">
        <Menu width="auto"
              v-if="!isLoading">
          <MenuGroup title="Administration">
            <Submenu name="users">
              <template slot="title">
                Users
              </template>
              <MenuItem name="createuser"
                        :to="{name: 'createuser'}">
              Create
              </MenuItem>
              <MenuItem name="edituser"
                        :to="{name: 'edituser'}">
              Edit
              </MenuItem>
            </Submenu>
            <Submenu name="groups">
              <template slot="title">
                Groups
              </template>
              <MenuItem name="creategroup"
                        :to="{name: 'creategroup'}">
              Create
              </MenuItem>
              <MenuItem name="editgroup"
                        :to="{name: 'editgroup'}">
              Edit
              </MenuItem>
            </Submenu>
            <Submenu name="projects">
              <template slot="title">
                Projects
              </template>
              <MenuItem name="editproject"
                        :to="{name: 'editproject'}">
              Edit
              </MenuItem>
            </Submenu>
          </MenuGroup>
          <MenuGroup title="Account">
            <MenuItem name="changepassword"
                      :to="{name: 'changepassword'}">
            Change password
            </MenuItem>
          </MenuGroup>
        </Menu>
      </div>
    </Sider>
    <Content>
      <router-view />
    </Content>
  </Layout>
</template>

<script>
export default {
  name: "AdminSettingsComponent",
  data: () => ({
    isLoading: true
  }),
  async mounted() {
    this.isLoading = false
  }
}
</script>

<style scoped>
.admin-menu-wrapper {
  position: fixed;
  width: 200px;
  max-height: calc(100vh - (60px));
  overflow: auto;
  left: 0;
}
</style>
